import 'object.dart';

class AVUser extends AVObject{

  static AVUser currentUser;

  AVUser() : super("_User");

  /// set user name
  void setUsername(String userName) {
    this.put("username", userName);
  }

  /// set password
  void setPassword(String password) {
    this.put("password", password);
  }

  /// get password
  String getPassword() {
    return this.get("password");
  }

  /// set new password, need to using UserApi.updateUserPassword function
  void setNewPassword(String newPassword) {
    this.put("new_password", newPassword);
  }

  /// get new password
  String getNewPassword() {
    return this.get("new_password");
  }

  String getSessionToken() {
    return this.get("sessionToken");
  }
}